package com.maintain.business.service;

import com.maintain.business.domain.bo.ErpTyrePositionBo;
import com.maintain.business.domain.vo.ErpTyrePositionVo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 客户信息-车型-胎位Service接口
 *
 * @author liushuai
 * @date 2025-03-25
 */
public interface IErpTyrePositionService {

    /**
     * 查询客户信息-车型-胎位
     */
    ErpTyrePositionVo queryById(Long id);

    /**
     * 查询客户信息-车型-胎位列表
     */
    TableDataInfo<ErpTyrePositionVo> queryPageList(ErpTyrePositionBo bo, PageQuery pageQuery);

    /**
     * 查询客户信息-车型-胎位列表
     */
    List<ErpTyrePositionVo> queryList(ErpTyrePositionBo bo);

    /**
     * 新增客户信息-车型-胎位
     */
    Boolean insertByBo(ErpTyrePositionBo bo);

    /**
     * 修改客户信息-车型-胎位
     */
    Boolean updateByBo(ErpTyrePositionBo bo);

    /**
     * 校验并批量删除客户信息-车型-胎位信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
